Notification handlers
GET https://bio.boof360.de/api/notification-handlers/
curl --request GET \
--url 'https://bio.boof360.de/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.boof360.de/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توصیف |
|---|---|---|
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن بازیابی شوند. به صورت پیشفرض روی 1 تنظیم شده است.
|
| results_per_page | اختیاری عدد صحیح | تعداد نتایج مورد نظر در هر صفحه. مقادیر مجاز: 10 , 25 , 50 , 100 , 250 , 500 , 1000. به صورت پیشفرض روی 25 تنظیم شده است.
|
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-04 05:33:05",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://bio.boof360.de/api/notification-handlers?page=1",
"last": "https://bio.boof360.de/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://bio.boof360.de/api/notification-handlers?page=1"
}
}
GET https://bio.boof360.de/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-04 05:33:05",
}
}
POST https://bio.boof360.de/api/notification-handlers
| پارامترها | جزئیات | توصیف |
|---|---|---|
| name | الزامی رشته | - |
| type | الزامی رشته | مقادیر مجاز: email , webhook , slack , discord , telegram , microsoft_teams , google_chat , internal_notification
|
| اختیاری رشته | در دسترس زمانی که: type = email Email | |
| webhook | اختیاری رشته | در دسترس زمانی که: type = webhook Webhook URL |
| slack | اختیاری رشته | در دسترس زمانی که: type = slack Slack webhook URL |
| discord | اختیاری رشته | در دسترس زمانی که: type = discord Discord webhook URL |
| telegram | اختیاری رشته | در دسترس زمانی که: type = telegram Telegram API Token |
| telegram_chat_id | اختیاری رشته | در دسترس زمانی که: type = telegram Telegram Chat ID |
| microsoft_teams | اختیاری رشته | در دسترس زمانی که: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | اختیاری رشته | در دسترس زمانی که: type = google_chat Google chat webhook URL |
curl --request POST \
--url 'https://bio.boof360.de/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://bio.boof360.de/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://bio.boof360.de/api/notification-handlers/{notification_handler_id}
| پارامترها | جزئیات | توصیف |
|---|---|---|
| name | اختیاری رشته | - |
| type | اختیاری رشته | مقادیر مجاز: email , webhook , slack , discord , telegram , microsoft_teams , google_chat , internal_notification
|
| اختیاری رشته | در دسترس زمانی که: type = email Email | |
| webhook | اختیاری رشته | در دسترس زمانی که: type = webhook Webhook URL |
| slack | اختیاری رشته | در دسترس زمانی که: type = slack Slack webhook URL |
| discord | اختیاری رشته | در دسترس زمانی که: type = discord Discord webhook URL |
| telegram | اختیاری رشته | در دسترس زمانی که: type = telegram Telegram API Token |
| telegram_chat_id | اختیاری رشته | در دسترس زمانی که: type = telegram Telegram Chat ID |
| microsoft_teams | اختیاری رشته | در دسترس زمانی که: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | اختیاری رشته | در دسترس زمانی که: type = google_chat Google chat webhook URL |
| is_enabled | اختیاری بولیان | - |
curl --request POST \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://bio.boof360.de/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \